# -*-makefile-*-
#
# Copyright (C) 2012 Phytec
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_XF86_VIDEO_OMAP) += xf86-video-omap

#
# The source tarball for xf86-video-omap was created by:
#	cd OPBU_Linux_Ubuntu_GLP1.6.6/ppa/packages
#	dpkg-source -x xf86-video-omap*dsc
#	cd xf86-video-omap-0.4.0
#	export QUILT_PATCHES=debian/patches
#	quilt push -a
#	cd ..
#	tar czf xf86-video-omap-0.4.0.tar.gz xf86-video-omap-0.4.0
#
# The source tree is available at:
#	git clone git://gitorious.org/ubuntu-omap/xf86-video-omap
#

#
# Paths and names
#
XF86_VIDEO_OMAP_VERSION	:= 0.4.0
XF86_VIDEO_OMAP_MD5	:= 4bd040821fe24f0f2bb22e1fda808d72
XF86_VIDEO_OMAP		:= xf86-video-omap-$(XF86_VIDEO_OMAP_VERSION)
XF86_VIDEO_OMAP_SUFFIX	:= tar.gz
XF86_VIDEO_OMAP_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/xf86-video-omap-$(XF86_VIDEO_OMAP_VERSION).$(XF86_VIDEO_OMAP_SUFFIX)
XF86_VIDEO_OMAP_DIR	:= $(BUILDDIR)/xf86-video-omap-$(XF86_VIDEO_OMAP_VERSION)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Extract 
# ----------------------------------------------------------------------------
$(STATEDIR)/xf86-video-omap.extract:
	@$(call targetinfo)
	@$(call clean, $(XF86_VIDEO_OMAP_DIR))
	@$(call extract, XF86_VIDEO_OMAP)
	cd $(XF86_VIDEO_OMAP_DIR) && \
	rm -rf .pc
	@$(call patchin, XF86_VIDEO_OMAP, $(XF86_VIDEO_OMAP_DIR))
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/xf86-video-omap.prepare:
	@$(call targetinfo)
	export PKG_CONFIG_PATH=$(SYSROOT)/usr/lib/pkgconfig && \
	cd $(XF86_VIDEO_OMAP_DIR) &&  \
	CFLAGS="-I$(SYSROOT)/usr/include \
		-I$(SYSROOT)/usr/include/libdrm \
		-I$(XORG_SERVER_DIR)/hw/xfree86/dri2" \
	LDFLAGS=-L$(SYSROOT)/usr/lib \
	./autogen.sh --prefix=$(SYSROOT) --host=arm-cortexa9-linux-gnueabi
	@$(call touch)

# -I$(SYSROOT)/include \

# ----------------------------------------------------------------------------
#  Compile:
# ----------------------------------------------------------------------------
$(STATEDIR)/xf86-video-omap.compile:

	@$(call targetinfo)
	cd $(XF86_VIDEO_OMAP_DIR) && $(MAKE)
	@$(call touch)
# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------
$(STATEDIR)/xf86-video-omap.install:

	@$(call targetinfo)
	install $(XF86_VIDEO_OMAP_DIR)/src/omap_driver.h $(SYSROOT)/usr/include
	install $(XF86_VIDEO_OMAP_DIR)/src/omap_exa.h $(SYSROOT)/usr/include
	install $(XF86_VIDEO_OMAP_DIR)/src/omap_util.h $(SYSROOT)/usr/include
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/xf86-video-omap.targetinstall:
	
	@$(call targetinfo)
	@$(call install_init, xf86-video-omap)
	@$(call install_copy, xf86-video-omap, 0, 0, 0755, \
		 $(XF86_VIDEO_OMAP_DIR)/src/.libs/omap_drv.so, \
		 /usr/lib/xorg/modules/multimedia/omap_drv.so)
	@$(call install_finish, xf86-video-omap)
	@$(call touch)

# vim: syntax=make
